# std::initializer_list< _E > Class Template Reference

initializer_list More...

List of all members.

## Public Types

- typedef const _E * const_iterator
- typedef const _E & const_reference
- typedef const _E * iterator
- typedef const _E & reference
- typedef size_t size_type
- typedef _E value_type

## Public Member Functions

- const_iterator begin () const
- const_iterator end () const
- size_type size () const

## Detailed Description

### template<class _E>
class std::initializer_list< _E >

initializer_list

Definition at line 45 of file initializer_list.

The documentation for this class was generated from the following file:

- initializer_list